import type { StorageAdapter } from 'oc-storage-adapters-utils';
import type { ComponentsList, Config } from '../../../types';
export default function componentsList(conf: Config, cdn: StorageAdapter): {
    getFromJson: () => Promise<ComponentsList>;
    getFromDirectories: (jsonList: ComponentsList | null) => Promise<ComponentsList>;
    refresh(cachedList: ComponentsList): Promise<ComponentsList>;
    save: (data: ComponentsList) => Promise<unknown>;
};
