import componentParametersValidator from './component-parameters';
import ocCliVersionValidator from './oc-cli-version';
import packageJsonValidator from './package-json-validator';
import pluginsRequirementsValidator from './plugins-requirements';
import registryConfigurationValidator from './registry-configuration';
import nodeVersionValidator from './node-version';
import uploadedPackageValidator from './uploaded-package';
export declare function validateComponentName(componentName: string): boolean;
export declare const validateComponentParameters: typeof componentParametersValidator;
export declare const validateNodeVersion: typeof nodeVersionValidator;
export declare const validateOcCliVersion: typeof ocCliVersionValidator;
export declare const validatePackage: typeof uploadedPackageValidator;
export declare const validatePackageJson: typeof packageJsonValidator;
export declare const validatePluginsRequirements: typeof pluginsRequirementsValidator;
export declare const validateRegistryConfiguration: typeof registryConfigurationValidator;
export declare function validateVersion(version: string): boolean;
