"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_path_1 = __importDefault(require("node:path"));
const try_require_1 = __importDefault(require("try-require"));
function moduleExists(moduleName) {
    const packageModulePath = node_path_1.default.join(moduleName, 'package.json');
    if (require.cache && !!require.cache[packageModulePath]) {
        delete require.cache[packageModulePath];
    }
    return (!!try_require_1.default.resolve(moduleName) || !!try_require_1.default.resolve(packageModulePath));
}
exports.default = moduleExists;
