import type { Local } from '../domain/local';
import type { Logger } from '../logger';
import type { RegistryCli } from '../domain/registry';
declare const publish: ({ logger, registry, local }: {
    logger: Logger;
    registry: RegistryCli;
    local: Local;
}) => {
    (opts: {
        componentPath: string;
        skipPackage?: boolean | undefined;
        dryRun?: boolean | undefined;
        username?: string | undefined;
        password?: string | undefined;
        registries?: string[] | undefined;
    }): Promise<void>;
    (opts: {
        componentPath: string;
        skipPackage?: boolean | undefined;
        dryRun?: boolean | undefined;
        username?: string | undefined;
        password?: string | undefined;
        registries?: string[] | undefined;
    }, arguments__1: (error: unknown, value: void) => void): void;
};
export default publish;
