/// <reference types="node" />
import type { IncomingHttpHeaders } from 'node:http';
interface Options {
    headers: IncomingHttpHeaders;
    name: string;
    parameters: IncomingHttpHeaders;
    version: string;
}
interface EventData {
    headers: IncomingHttpHeaders;
    name: string;
    parameters: IncomingHttpHeaders;
    requestVersion: string;
    duration: number;
}
export default function getComponentRetrievingInfo(options: Options): {
    extend(obj: unknown): void;
    getData(): EventData;
};
export {};
