"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function componentsHistory(vm) {
    const componentRow = ({ name, publishDate, version, templateSize }) => {
        return `<a href="${name}/${version}/~info">
  <div class="componentRow row table">
    <p class="release">${publishDate} - Published ${name}@${version}${templateSize ? ` [${Math.round(templateSize / 1024)} kb]` : ''}</p>
  </div>
</a>`;
    };
    const history = vm.componentsHistory || [];
    return `<div id="components-history" class="box">${history
        .map(componentRow)
        .join('')}</div>`;
}
exports.default = componentsHistory;
